Description

One new feature that would be good is the support of label rotation in the composer.

For the moment you can rotate pictures and shapes when you compose a map ! But you can't do this with labels...

If you look into .qpt files (QGis Composer Template files), you can see that the label definition has got a rotation attribute. If you try to

modify it directly in the file, it does nothing: the label is still displayed with no rotation.

Here is an extract from a .qpt file:

<ComposerLabel labelText="TITRE" margin="0">

  <LabelFont description="DejaVu Sans,18,-1,5,75,0,0,0,0,0"/>

  <FontColor red="0" blue="0" green="0"/>

  <ComposerItem width="25.49839762376757" x="390.5356783919598" y="13.11658291457286" rotation="0"

height="11.22057304872989" frame="false" outlineWidth="0" zValue="1" lastValidViewScaleFactor="1.98812351543943"

positionLock="false">

   <FrameColor alpha="255" red="0" blue="0" green="0"/>

   <BackgroundColor alpha="255" red="255" blue="255" green="255"/>

  </ComposerItem>

 </ComposerLabel>

As you can see, the rotation attribute value of the [[ComposerItem]] is fixed to 0. If you change it manually, it does nothing.

As it is already coded in the .qpt "vocabulary", I guess that it could be possible to use this attribute to support label rotation. Then, IMHO, I

think that we can focus on building a rotation routine in the composer code that use this attribute...

History

#1 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2013-08-14 01:51 AM - Richard Duivenvoorde

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Status changed from Open to Closed
I think rotation of most composer items are implemented now. Or at least I can rotate a label now via the normal interface of composer.

I will close this one. If I'm wrong, please reopen.
